net.corda.client.jfx.utils

## Class MapValuesList<K,A,C>

- net.corda.client.jfx.utils.MapValuesList<K,A,C>

-     public class MapValuesList<K,A,C>

  `class MapValuesList` takes an ObservableMap and returns its values as an ObservableList. The order of returned elements is deterministic but unspecified.

  See Also:
    `class MapValuesList`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MapValuesList.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MapValuesList.Companion` | `Companion`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(C element)`
    `void` | `add(int index, C element)`
    `boolean` | `addAll(C p0)`
    `boolean` | `addAll(int index, java.util.Collection<? extends C> elements)`
    `boolean` | `addAll(java.util.Collection<? extends C> elements)`
    `void` | `addListener(javafx.beans.InvalidationListener p0)`
    `void` | `addListener(javafx.collections.ListChangeListener<? super C> p0)`
    `void` | `clear()`
    `boolean` | `contains(java.lang.Object element)`
    `boolean` | `containsAll(java.util.Collection<? extends java.lang.Object> elements)`
    `C` | `get(int index)`
    `int` | `getSize()`
    `javafx.collections.ObservableMap<K,A>` | `getSourceMap()`
    `int` | `indexOf(java.lang.Object element)`
    `boolean` | `isEmpty()`
    `java.util.Iterator<C>` | `iterator()`
    `int` | `lastIndexOf(java.lang.Object element)`
    `java.util.ListIterator<C>` | `listIterator()`
    `java.util.ListIterator<C>` | `listIterator(int index)`
    `boolean` | `remove(java.lang.Object element)`
    `void` | `remove(int p0, int p1)`
    `java.lang.Object` | `remove(int p)`
    `boolean` | `removeAll(C p0)`
    `boolean` | `removeAll(java.util.Collection<? extends java.lang.Object> elements)`
    `C` | `removeAt(int index)`
    `void` | `removeListener(javafx.beans.InvalidationListener p0)`
    `void` | `removeListener(javafx.collections.ListChangeListener<? super C> p0)`
    `boolean` | `retainAll(C p0)`
    `boolean` | `retainAll(java.util.Collection<? extends java.lang.Object> elements)`
    `C` | `set(int index, C element)`
    `boolean` | `setAll(java.util.Collection<? extends C> p0)`
    `boolean` | `setAll(C p0)`
    `int` | `size()`
    `java.util.List<C>` | `subList(int fromIndex, int toIndex)`
    `java.lang.Object[]` | `toArray()`
    `<T> T[]` | `toArray(T[] p)`

- - ### Field Detail

    - #### Companion

          public static MapValuesList.Companion Companion

  - ### Method Detail

    - #### getSourceMap

          public javafx.collections.ObservableMap<K,A> getSourceMap()

    - #### getSize

          public int getSize()

    - #### size

          public int size()

    - #### add

          public boolean add(C element)

    - #### add

          public void add(int index,
                          C element)

    - #### addAll

          public boolean addAll(C p0)

    - #### addAll

          public boolean addAll(int index,
                                java.util.Collection<? extends C> elements)

    - #### addAll

          public boolean addAll(java.util.Collection<? extends C> elements)

    - #### addListener

          public void addListener(javafx.beans.InvalidationListener p0)

    - #### addListener

          public void addListener(javafx.collections.ListChangeListener<? super C> p0)

    - #### clear

          public void clear()

    - #### contains

          public boolean contains(java.lang.Object element)

    - #### containsAll

          public boolean containsAll(java.util.Collection<? extends java.lang.Object> elements)

    - #### get

          public C get(int index)

    - #### indexOf

          public int indexOf(java.lang.Object element)

    - #### isEmpty

          public boolean isEmpty()

    - #### iterator

          public java.util.Iterator<C> iterator()

    - #### lastIndexOf

          public int lastIndexOf(java.lang.Object element)

    - #### listIterator

          public java.util.ListIterator<C> listIterator()

    - #### listIterator

          public java.util.ListIterator<C> listIterator(int index)

    - #### remove

          public boolean remove(java.lang.Object element)

    - #### remove

          public void remove(int p0,
                             int p1)

    - #### removeAll

          public boolean removeAll(C p0)

    - #### removeAll

          public boolean removeAll(java.util.Collection<? extends java.lang.Object> elements)

    - #### removeAt

          public C removeAt(int index)

    - #### remove

          public java.lang.Object remove(int p)

    - #### removeListener

          public void removeListener(javafx.beans.InvalidationListener p0)

    - #### removeListener

          public void removeListener(javafx.collections.ListChangeListener<? super C> p0)

    - #### retainAll

          public boolean retainAll(C p0)

    - #### retainAll

          public boolean retainAll(java.util.Collection<? extends java.lang.Object> elements)

    - #### set

          public C set(int index,
                       C element)

    - #### setAll

          public boolean setAll(java.util.Collection<? extends C> p0)

    - #### setAll

          public boolean setAll(C p0)

    - #### subList

          public java.util.List<C> subList(int fromIndex,
                                           int toIndex)

    - #### toArray

          public java.lang.Object[] toArray()

    - #### toArray

          public <T> T[] toArray(T[] p)